summaryrefslogtreecommitdiff
path: root/tests/mangled-numbers-abort
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mangled-numbers-abort')
-rw-r--r--tests/mangled-numbers-abort42
1 files changed, 42 insertions, 0 deletions
diff --git a/tests/mangled-numbers-abort b/tests/mangled-numbers-abort
new file mode 100644
index 0000000..1e1cde9
--- /dev/null
+++ b/tests/mangled-numbers-abort
@@ -0,0 +1,42 @@
+# Copyright (C) 2011 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# in any medium, are permitted without royalty provided the copyright
+# notice and this notice are preserved.
+
+. $srcdir/test-lib.sh
+
+require_cat
+use_local_patch
+use_tmpdir
+
+# ==============================================================
+# Regression test for a failed assertion.
+# Based on a report from Gabriel Vlasiu via Tim Waugh
+# in http://bugzilla.redhat.com/738959
+
+seq 1 7 > a
+
+cat > bogus.diff <<EOF
+*** p
+--- p
+***************
+*** 405,409 ****
+--- 405,407 ----
+ a
+ b
+ c
++ d
+ x
+ y
+ z
+EOF
+
+# Before v2.6.1-148, this would trigger the failed assertion:
+# pch.c:1516: another_hunk: Assertion `p_prefix_context != -1 \
+# && p_suffix_context != -1' failed.
+
+check 'patch a < bogus.diff; echo "Status: $?"' <<EOF
+$PATCH: **** replacement text or line numbers mangled in hunk at line 4
+Status: 2
+EOF